/* fonts */

@font-face {
  font-family: 'Georgia';
  src: local('Georgia-Regular'),
        url('../fonts/Georgia.woff2') format('woff2');
  font-display: swap;
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'Georgia';
  src: local('Georgia-Italic'),
        url('../fonts/Georgia-Italic.woff2') format('woff2');
  font-display: swap;
  font-weight: 300;
  font-style: italic;
}

@font-face {
  font-family: 'Georgia';
  src: local('Georgia-Bold'),
        url('../fonts/Georgia-Bold.woff2') format('woff2');
  font-display: swap;
  font-weight: 700;
  font-style: bold;
}

@font-face {
  font-family: 'Georgia';
  src: local('Georgia-BoldItalic'),
        url('../fonts/Georgia-BoldItalic.woff2') format('woff2');
  font-display: swap;
  font-weight: 700;
  font-style: italic;
}

/* animation */
@keyframes spin {
	from {
		transform: rotateY(0deg);
	}
	to {
		transform: rotateY(360deg);
	}
}

/* vars */

:root {
  --color-main: #005bab;
  --color-secondary: #f6c625;
  --color-bg: white;
  --gap: 50px;
}

/* global */

html {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

*:focus-visible {
  outline: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  max-width: 100%;
}

body {
  margin: 0px;
  font-family: 'Georgia', sans-serif;
  font-style: normal;
  font-weight: 400;
  background-color: var(--color-bg);
  color: var(--color-main);
}

section {
  padding: var(--gap) 0px;
}

h1 {
  font-size: 100px;
  text-align: center;
  line-height: 1.5em;
  letter-spacing: 3px;
}

h2 {
  font-size: 72px;
  text-align: center;
  line-height: 1em;
  letter-spacing: 2px;
}

h3 {
  font-size: 48px;
  text-align: center;
  line-height: 1em;
  letter-spacing: 2px;
  margin: 0px;
}

.container {
  width: auto;
  padding: 0 var(--gap);
  margin: 0;
  font-style: normal;
  line-height: 60px;
  overflow: hidden;  
}

.visible {
  overflow: visible;
}

.grid2 {
	display: grid;
	grid-template-columns: 1fr 1fr;
}

.grid22 {
	display: grid;
	grid-template-columns: 1fr 1fr;
}

.grid3 {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
}

.indented {
	text-indent: 40px;
}

figure {
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}

figcaption {
    display: block;
    height: auto;
}

figcaption a {
    display: inline-block;
}

/* header */
header {
  width: 100%;
  height: 200px;
  padding: 0px var(--gap);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-size: 32px;
  color: var(--color-bg);
  background: url("../img/header-bg.jpg") no-repeat center;
  background-size: 100% 200px;  
}

.header__content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.header__block {
  width: calc(100vw - 3 * var(--gap) - 400px);
  height: 50%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

.mobile__menu {
  display: none;  
  flex-direction: row;
  justify-content: flex-end;
}

.mobile__menu__items {
  flex-direction: column;
}

.burger-button {
  background-image: url("../img/burger-close.svg");
  background-position: center;
  background-repeat: no-repeat;
}

.header__menu {
  width: calc(100vw - 3 * var(--gap) - 400px);
  height: 50%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.header__logo {
  height: 160px;
  width: 400px;
  margin: 20px 0px;
  background: url("../img/logo.svg") no-repeat center;
  background-size: 400px 160px;  
}

.header__email {
  margin-right: var(--gap);
}

/* main */
#cover {
  width: 100%;
  height: 100vh;
  background: url("../img/cover.jpg") no-repeat center;
  background-size: 100% 100vh;
  color: var(--color-bg);
}

/* slider */
.main-slider {
  position: relative;
  width: 100%;
  height: 500px;
  overflow: hidden;
  background-color: rgba(0, 0, 0.5, 0.3);
}

.slide__img {
  width: 100%;
  height: 450px;
}

.slide__text {
  font-size: 24px;
  line-height: 1.5em;
}

.slide {
  position: relative;
  display: none;
  width: 100%;
  height: 100%;
}

.slide:first-child {
  display: block;
}

.slide__content {
  position: absolute;
  left: 50px;
  top: 50%;
  height: 200px;
  width: 1500px;
  padding: 15px;
  background-color: rgba(0, 91, 171, 0.7);
}

#prevButton, #nextButton {
  cursor: pointer;
  position: absolute;
  width: 50px;
  height: 50px;
  top: calc(50% - 25px);
  z-index: 1;
  border: none;
}

#prevButton {
  left: 0px;  
  background: url("../img/slider_left.svg") no-repeat center;
  background-size: 50px 50px; 
}

#prevButton:hover {
  background: url("../img/slider_left_active.svg") no-repeat center;
  background-size: 50px 50px;
}

#nextButton {
  right: 0px;
  background: url("../img/slider_right.svg") no-repeat center;
  background-size: 50px 50px;
}

#nextButton:hover {
  background: url("../img/slider_right_active.svg") no-repeat center;
  background-size: 50px 50px;
}

.dots {
  position: absolute;
  width: 100%;
  bottom: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dot {
  width: 15px;
  height: 15px;
  background-color: var(--color-bg);
  border-radius: 50%;
  cursor: pointer;
  margin-right: 15px;
}

.dot:last-child {
  margin-right: 0px;
}

.dot-active {
  background-color: var(--color-secondary);
}

/* about */
.about__text {
	font-size: 32px;
 	line-height: 48px;
 	text-align: justify;
}

.about__content {
	width: 100%;
	height: auto;
	position: relative;
}

.about__cell {
  width: calc((100vw - 2 * var(--gap)) / 2 - 5px);
	padding: calc(var(--gap) / 2);
	border: 5px solid var(--color-main);
}

.about__cell:nth-child(2n + 1) {
  margin-right: -5px;
}

.about__cell:nth-child(-n + 2) {
  margin-bottom: -5px;
}

.about__link {
  max-width: 100%;
}

.about__video {
	width: calc((100vw - 4 * var(--gap)) / 2 - 10px);
  margin-bottom: -25px;
}



/* carousel */
#mobile-news {
    display: none;
}

.news_title{
  margin-bottom: -300px;
}

#carousel {
	width: 100%;
	height: 1600px;
	perspective: 1000px;
	display: flex;
	touch-action: none;
	transform-style: preserve-3d;
}

#drag-container, #spin-container {
	position: relative;
	display: flex;
	margin: auto;
	transform-style: preserve-3d;
	transform: rotateX(10deg);
}

.about__news {
  font-size: 24px;
  line-height: 24px;
}

.carousel__link {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	transform-style: preserve-3d;
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2), 0 10px 20px rgba(0, 0, 0, 0.1);
	border: 5px solid var(--color-main);
}

.carousel__link:hover .carousel__img{
	filter:grayscale(0) contrast(1);
}

.carousel__img {
	width: 100%;
	height: 100%;
	filter: grayscale(50%) contrast(0.7);
	transition: filter 0.5s;
}

#basement {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%) rotateX(90deg);
}

/* modelviewer */
model-viewer {
    height: 75vh;
    width: 100%;
}

/* feedback */
.feedback__content {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	padding: 0px calc(var(--gap) / 2);
}

.feedback__content:first-child{
	padding-left: 0px;
}

.feedback__content:last-child{
 	padding-right: 0px;
}

.feedback__qr {
  width: 300px;
  height: 300px;
  margin-top: -10px;
}

.feedback__header {
  text-align: left;
}

.feedback__text{
  font-size: 24px;
  line-height: 30px;
  text-align: left;
}

.form__content {
  display: flex;
  flex-direction: row;
}

.form__content * {
    font-size: 32px;
}

.form__content div {
    width: 100%;
}

.form__group{
  display: flex;
  flex-direction: column;
}

.form__group:first-child {
  padding-right: var(--gap);
}

.form__group:last-child {
  padding-left: var(--gap);
}

.form__text {
  font-size: 32px;
  font-weight: bold;
}

.form__group p {
  font-size: 32px;
}

.form__group input {
  margin-right: 5px;
}

.form__group label {
  font-size: 24px;
}

form button {
  padding: 10px;
  border: 2px solid var(--color-main);
  border-radius: 15px;
  font-size: 32px;
  color: var(--color-main);
  transition: all 0.5s ease;
}

form button:hover {
  color: var(--color-bg);
  background-color: var(--color-main);
}



/* footer */
footer {
  padding: var(--gap) var(--gap);
  width: 100%;
  height: 300px;
  color: var(--color-bg);
  background-color: var(--color-main);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.footer__logo {
  height: 180px;
  width: 450px;
  margin: 0px 20px 0px 0px;
  background: url("../img/logo.svg") no-repeat center;
  background-size: 450px 180px; 
}

.footer__columns {
  width: calc(100% - 100px);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.footer__left-column {
  width: 50%;
  height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.footer__right-column {
  width: 50%;
  height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.footer__content {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

.footer__text {
  margin: 10px;
  font-size: 32px;
}

.footer__icon {
  margin: 15px 15px 0px 0px;
  width: 30px;
  height: 30px;
}

.footer__sn {
  margin: 0px;  
  width: 75px;
  height: 75px;
}

.footer__link {
  padding: 0px;
  margin: 0px;
}

.footer__link:first-child {
  margin-right: 40px;
}

